Name:		perl-Mojolicious-Plugin-BasicAuth
Version:	0.08
Release:	1%{?dist}
Summary:	Mojolicious Basic HTTP Auth Helper
License:	GPL+ or Artistic

URL:		https://metacpan.org/pod/Mojolicious::Plugin::BasicAuth
Source0:	https://cpan.metacpan.org/authors/id/T/TE/TEMPIRE/Mojolicious-Plugin-BasicAuth-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:	perl(strict)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Mojo)

%{?perl_default_filter}

%description
This is is a Mojolicious helper for basic http authentication.


#------------------------------------------------------------------------------.
%prep
#------------------------------------------------------------------------------.

%setup -q -n Mojolicious-Plugin-BasicAuth-%{version}


#------------------------------------------------------------------------------.
%build
#------------------------------------------------------------------------------.

%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


#------------------------------------------------------------------------------.
%install
#------------------------------------------------------------------------------.

make pure_install DESTDIR="${RPM_BUILD_ROOT}"

%{_fixperms} "${RPM_BUILD_ROOT}"/*


#------------------------------------------------------------------------------.
%check
#------------------------------------------------------------------------------.

make test


#------------------------------------------------------------------------------.
%files
#------------------------------------------------------------------------------.

%doc Changes
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*


#------------------------------------------------------------------------------.
%changelog
#------------------------------------------------------------------------------.

* Sat Jul  8 2023 Patrick Monnerat <patrick@monnerat.net> 0.08-1
- Initial packaging.
